/*			
		Permission to use				 

  Sony Computer Entertainment supplies this lws2rsd software free 	   
  of charge to licensees along with the source code files.		 

  This lws2rsd software is experimental and no support of any kind is 	  
  available.							 

  The licensee is hereby granted permission to use, copy, modify, and	   
  distribute this lws2rsd software and documentation for any purpose. 	  
  Sony Computer Entertainment shall bear no responsibility for any 	  
  damage or loss sustained either directly or indirectly as a result of	   
  using this software. 						   

  Copyright 1997 by Sony Computer Entertainment Inc. All Rights Reserved. 

*/																					

#include <stdio.h>
#include <stdlib.h>

#include "vecmat.h"
#include "LW.h"
#include "cap.h"



/******************************************************************************/
 int main( int argc, char **argv )
/******************************************************************************/
{
	char	*LwsFile;
	char	*RsdFile;
	float	scaleLw2Ps;			// LW model -> PS model
	FILE	*fp;
	char	buffer[256];


	if ( argc != 4 ) {
		fprintf( stderr, "Usage\n" );
		fprintf( stderr, "lws2rsd LwsFileName RsdFileName ScalingFactor\n" );
		return 1;
	}

	LwsFile		= argv[1];
	RsdFile		= argv[2];
	scaleLw2Ps	= (Scalar)atof( argv[3] );

	/////////////////////////////////////////////////////////////////

	if ( !( fp = fopen( LwsFile, "r" ) ) )
		return 1;
	
	OpenLW();
	MasterParser( fp, buffer );
	LW2PS( scaleLw2Ps );
	CloseLW();

	fclose( fp );
	return 0;
}
